Uploaded image for project: 'Spring Roo'
  1. Spring Roo
  2. ROO-3505

Spring Roo doesn't start with JDK 1.8

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Critical
    • Resolution: Complete
    • Affects Version/s: 1.2.5.RELEASE
    • Fix Version/s: 1.3.0.RELEASE
    • Component/s: None
    • Labels:
      None

      Description

      I am using Spring Roo 1.2.5.RELEASE on OS X 10.9.2 and java version 1.8.0_05.

      When I try to start roo.sh I get a ton of unresolved constraints (log file attached). After searching the web I found this (http://forum.spring.io/forum/spring-projects/roo/106193-error-staring-the-roo-shell) and tried to replace the felix.jar in the Spring Roo distribution (by version 4.4.0) and could start the shell successfully.

      1. log.txt
        90 kB
        Sascha Fröhlich

        Issue Links

          Activity

          Hide
          artemgolubev Artem added a comment -

          Uber cool! Thank you, guys!

          Show
          artemgolubev Artem added a comment - Uber cool! Thank you, guys!
          Hide
          eruiz Enrique Ruiz (DiSiD) added a comment -

          Mike, antlr-runtime 4.3 is at Maven Central Repo, I merged your pull request https://github.com/spring-projects/spring-roo-wrapping/pull/5

          Show
          eruiz Enrique Ruiz (DiSiD) added a comment - Mike, antlr-runtime 4.3 is at Maven Central Repo, I merged your pull request https://github.com/spring-projects/spring-roo-wrapping/pull/5
          Hide
          chrismarx chris marx added a comment -

          any update on this?

          Show
          chrismarx chris marx added a comment - any update on this?
          Hide
          eruiz Enrique Ruiz (DiSiD) added a comment -

          Yes, currently working on update Felix to 4.4.1

          Show
          eruiz Enrique Ruiz (DiSiD) added a comment - Yes, currently working on update Felix to 4.4.1
          Hide
          jcgarcia Juan Carlos García del Canto added a comment -

          ROO works correctly with Java 8.

          • Updated AspectJ version
          • Updated to Felix 4.4.1
          • Updated JavaParser
          • Updated JavaDoc plugin (uncomment to compile ROO project with Java8)
          Show
          jcgarcia Juan Carlos García del Canto added a comment - ROO works correctly with Java 8. Updated AspectJ version Updated to Felix 4.4.1 Updated JavaParser Updated JavaDoc plugin (uncomment to compile ROO project with Java8)

            People

            • Assignee:
              eruiz Enrique Ruiz (DiSiD)
              Reporter:
              saschafroehlich Sascha Fröhlich
            • Votes:
              9 Vote for this issue
              Watchers:
              14 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: